Page MenuHomePhabricator

Use maven wrapper (mvnw) to build maven based project from search platform team
Closed, ResolvedPublic

Description

During investigation of unrelated issue, it was not clear which version of Maven is used by CI. Ensuring that the same version is used for local development and CI would reduce variations and help pinpoint issues. Maven Wrapper is installed for all search platform projects and takes care of downloading the correct maven version. It would be nice to use it for CI as well.

Concretely, this means using the mvnw wrapper script that is available in the root of each project repository instead of the mvn command installed on the CI host.

Event Timeline

Gehel created this task.Nov 7 2018, 9:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 7 2018, 9:33 AM
Gehel closed this task as Resolved.Jan 15 2019, 6:38 PM
Gehel claimed this task.

This has been done for some time already

Gehel reopened this task as Open.Jan 15 2019, 6:39 PM

my mistake, this ticket is still ongoing, the CI part isn't done yet.

Change 487285 had a related patch set uploaded (by Gehel; owner: Gehel):
[integration/config@master] java: build maven projects with maven wrapper if it exists

https://gerrit.wikimedia.org/r/487285

Change 488432 had a related patch set uploaded (by Gehel; owner: Gehel):
[wikimedia/discovery/discovery-parent-pom@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488432

Change 488433 had a related patch set uploaded (by Gehel; owner: Gehel):
[search/extra-analysis@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488433

Change 488434 had a related patch set uploaded (by Gehel; owner: Gehel):
[wikimedia/discovery/discovery-maven-tool-configs@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488434

Change 488437 had a related patch set uploaded (by Gehel; owner: Gehel):
[search/extra@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488437

Change 488439 had a related patch set uploaded (by Gehel; owner: Gehel):
[search/highlighter@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488439

Change 488440 had a related patch set uploaded (by Gehel; owner: Gehel):
[wikidata/query/rdf@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488440

Change 488434 merged by jenkins-bot:
[wikimedia/discovery/discovery-maven-tool-configs@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488434

Change 488433 merged by jenkins-bot:
[search/extra-analysis@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488433

Change 488432 merged by jenkins-bot:
[wikimedia/discovery/discovery-parent-pom@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488432

Change 488439 merged by jenkins-bot:
[search/highlighter@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488439

Change 488440 merged by jenkins-bot:
[wikidata/query/rdf@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488440

Change 488437 merged by Gehel:
[search/extra@master] Download maven from WMF archiva repository.

https://gerrit.wikimedia.org/r/488437

Change 487285 merged by jenkins-bot:
[integration/config@master] java: build maven projects with maven wrapper if it exists

https://gerrit.wikimedia.org/r/487285

hashar added a comment.Mar 7 2019, 7:16 PM

I got the images build:

docker-registry.wikimedia.org/releng/java8:0.5.0
docker-registry.wikimedia.org/releng/java8-wikidata-query-rdf:0.3.0
docker-registry.wikimedia.org/releng/java8-mjolnir:0.2.0
docker-registry.wikimedia.org/releng/java8-sonar-scanner:0.3.0
docker-registry.wikimedia.org/releng/java8-xgboost:0.2.0

Gerrit search file:mvnw gives some example repositories :]

Change 495022 had a related patch set uploaded (by Hashar; owner: Hashar):
[integration/config@master] Update Jenkins job to use latest java8 containers

https://gerrit.wikimedia.org/r/495022

Mentioned in SAL (#wikimedia-releng) [2019-03-08T10:04:39Z] <hashar> Updating maven based jobs to latest java8 containers | https://gerrit.wikimedia.org/r/#/c/integration/config/+/495022/ | T208938

Change 495022 merged by jenkins-bot:
[integration/config@master] Update Jenkins job to use latest java8 containers

https://gerrit.wikimedia.org/r/495022

hashar closed this task as Resolved.Mar 8 2019, 12:29 PM

Should be good CI wise now.